jQuery(document).ready(function() { 	

/*
	   +------------------------------------------------------------------------------------------+
	   |                                        WIDGET: VOTE                                      |
	   +------------------------------------------------------------------------------------------+
*/

	if (jQuery(".symposium_answer").length) {
		jQuery(".symposium_answer").click(function(){
		
			var vote_answer = jQuery(this).attr("title");
			jQuery("#symposium_vote_thankyou").slideDown("fast").effect("highlight", {}, 3000);
		
			jQuery.ajax({
				url: symposium.plugin_url+"ajax/symposium_widget_functions.php", 
				type: "POST",
				data: ({
					action:"doVote",
					vote:vote_answer
				}),
			    dataType: "html",
				async: false,
				success: function(str){
				},
				error: function(err){
					//alert("V:"+err);
				}		
	   		});	
			jQuery(".symposium_pleasewait").fadeOut("slow");
		});
	}

	if (jQuery("#symposium_chartcontainer").length) {
	
		var yes = parseFloat(jQuery('#symposium_chart_yes').html());
		var no = parseFloat(jQuery('#symposium_chart_no').html());
	
		if (jQuery("#symposium_chart_counts").html() != 'on') {
			if (yes > 0) {
				if (no > 0) {
					yes = Math.floor(yes/(yes+no)*100);
					no = 100 - yes;
				} else {
					yes = 100;
					no = 0;
				}
			} else {
				yes = 0;
				if (no > 0) {
					no = 100;
				} else {
					no = 0;
				}
			}			
		}
	
		var myData = new Array(['Yes', yes], ['No', no]);
		var bar_type = 'bar';
		if (jQuery("#symposium_chart_type").html() != '') { bar_type = jQuery("#symposium_chart_type").html(); }
		var myChart = new JSChart('symposium_chartcontainer', bar_type, jQuery('#symposium_chart_key').html());
		myChart.setDataArray(myData);
		var myColors = new Array('#09f', '#06a')
		if (bar_type == 'bar') {
			myChart.colorizeBars(myColors);
		} else {
			myChart.colorizePie(myColors);
		}
		myChart.setSize(200, 200);
		myChart.setTitleFontSize(14);
		myChart.setTitle("");
		myChart.setAxisNameX("");
		myChart.setAxisNameY("");
		myChart.setAxisPaddingTop(15);
		myChart.setAxisPaddingBottom(15);
		myChart.setAxisPaddingLeft(0);
		if (jQuery("#symposium_chart_counts").html() != 'on') {
			if (bar_type == 'bar') {
				myChart.setBarValuesSuffix('%');
			} else {
				myChart.setPieValuesSuffix('%');
			}
		}
		myChart.draw();
	
	}

})